%define	oname	opensi
%define name	%{oname}-client
%define version	3.4
%define	Summary	OpenSi client

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%mkrel 15
Source0:	http://download.gna.org/opensi/opensi-client/3.4/%name-%version.tgz
License:	GPLv2+
Group:		Office
Url:		http://opensi.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	firefox-devel
Requires:	firefox = %{firefox_epoch}:%{firefox_version}
Requires:	libopensi

%description
Client for OpenSi.

%prep
%setup -q -n %{oname}

%build

%install
rm -rf %{buildroot}
# Jar for the translation
mkdir -p %{buildroot}%{firefox_mozillapath}/chrome/
cp -r `pwd`  %{buildroot}%{firefox_mozillapath}/chrome/
# installed-chrome.txt addition
mkdir -p %{buildroot}%{firefox_mozillapath}/chrome/rc.d/
cat << EOF > %{buildroot}%{firefox_mozillapath}/chrome/rc.d/10_%{oname}.txt
content,install,url,resource:/chrome/opensi/content/opensi/
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=firefox -chrome chrome://opensi/content/login.xul
Icon=finances_section
Categories=Office;Finance;
Name=OpenSi
Comment=%{Summary}
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{firefox_mozillapath}/chrome/%{oname}
%{firefox_mozillapath}/chrome/rc.d/10_%{oname}.txt
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Wed Sep 16 2009 Funda Wang <fundawang@mandriva.org> 3.4-15mdv2010.0
+ Revision: 443411
- rebuild for new ff

* Sat Aug 22 2009 Funda Wang <fundawang@mandriva.org> 3.4-14mdv2010.0
+ Revision: 419454
- rebuild for ff 3.5

* Thu Aug 06 2009 Funda Wang <fundawang@mandriva.org> 3.4-13mdv2010.0
+ Revision: 410514
- rebuild for new ff

* Fri Jul 31 2009 Funda Wang <fundawang@mandriva.org> 3.4-12mdv2010.0
+ Revision: 405042
- rebuild for new ff

* Sun Jun 14 2009 Funda Wang <fundawang@mandriva.org> 3.4-11mdv2010.0
+ Revision: 385782
- rebuild for new ff

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 3.4-10mdv2010.0
+ Revision: 369820
- rebuild for new ff

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 3.4-9mdv2009.1
+ Revision: 361859
- rebuild for firefox 3.0.8

* Sat Mar 14 2009 Funda Wang <fundawang@mandriva.org> 3.4-8mdv2009.1
+ Revision: 354816
- rebuild for new ff

* Wed Feb 04 2009 Funda Wang <fundawang@mandriva.org> 3.4-7mdv2009.1
+ Revision: 337348
- rebuild for new ff

* Thu Dec 25 2008 Funda Wang <fundawang@mandriva.org> 3.4-6mdv2009.1
+ Revision: 318927
- rebuild for new ff

* Sun Nov 16 2008 Funda Wang <fundawang@mandriva.org> 3.4-5mdv2009.1
+ Revision: 303709
- rebuild for new FF

* Mon Sep 29 2008 Funda Wang <fundawang@mandriva.org> 3.4-4mdv2009.0
+ Revision: 289211
- rebuild for new FF

* Wed Aug 20 2008 Funda Wang <fundawang@mandriva.org> 3.4-3mdv2009.0
+ Revision: 274171
- rebuild

* Wed Jul 16 2008 Funda Wang <fundawang@mandriva.org> 3.4-2mdv2009.0
+ Revision: 236517
- rebuild for new FF

* Sat Jul 12 2008 Funda Wang <fundawang@mandriva.org> 3.4-1mdv2009.0
+ Revision: 234094
- New version 3.4

* Sat Jul 12 2008 Funda Wang <fundawang@mandriva.org> 2.0.7-3mdv2009.0
+ Revision: 234091
- fix spec error on firefox version

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.7-3mdv2008.1
+ Revision: 148651
- auto convert menu to XDG
- kill re-definition of %%buildroot on Pixel's request
- import opensi-client

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Sep 13 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-3mdk
- move from club to contrib
- fix deprecated use of prereq
- work around weird problem with %%firefox_version macro by redefining it

* Tue Aug 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-2mdk
- macroize firefox_version to make package easily rebuild for different releases

* Mon Jul 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.0.7-1mdk
- initial release (for corporate club)
